package main

import (
	"log"
	"time"

	"github.com/streadway/amqp"

	"go-rest-api/src/queue"
)

// TestWorkerFunc
func main() {
	amqp := queue.New()
	q := amqp.DeclareQueue("test_queue")
	amqp.Consume(q.Name, testWorkerCallback)
}

func testWorkerCallback(d amqp.Delivery) {
	log.Println("Received message: ", string(d.Body))
	time.Sleep(5 * time.Second)
	log.Println("Finished!")
	d.Ack(false) // !! important: finish job
}
